/**
 * ActClinicalDocument2.java
 *
 * File generated from the medication2::ActClinicalDocument2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClinicalDocument2.
 *
 * 
 */

@XmlType(name = "ActClinicalDocument")
@XmlEnum
@XmlRootElement(name = "ActClinicalDocument2")
public enum ActClinicalDocument2 {
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE");
	
	private final String value;

    ActClinicalDocument2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClinicalDocument2 fromValue(String v) {
        for (ActClinicalDocument2 c: ActClinicalDocument2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
